Package com.enonic.xp.image

## Class ReadImageParams.Builder

- java.lang.Object
- - com.enonic.xp.image.ReadImageParams.Builder

- Enclosing class:
    ReadImageParams

      public static class ReadImageParams.Builder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `quality` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadImageParams.Builder` | `backgroundColor​(int backgroundColor)` |
    `ReadImageParams.Builder` | `binaryReference​(BinaryReference binaryReference)` |
    `ReadImageParams` | `build()` |
    `ReadImageParams.Builder` | `contentId​(ContentId contentId)` |
    `ReadImageParams.Builder` | `cropping​(Cropping cropping)` |
    `ReadImageParams.Builder` | `filterParam​(String filterParam)` |
    `ReadImageParams.Builder` | `focalPoint​(FocalPoint focalPoint)` |
    `ReadImageParams.Builder` | `format​(String format)` | Deprecated.
    `ReadImageParams.Builder` | `mimeType​(String mimeType)` |
    `ReadImageParams.Builder` | `orientation​(ImageOrientation orientation)` |
    `ReadImageParams.Builder` | `quality​(int quality)` |
    `ReadImageParams.Builder` | `scaleParams​(ScaleParams scaleParams)` |
    `ReadImageParams.Builder` | `scaleSize​(int scaleSize)` |
    `ReadImageParams.Builder` | `scaleSquare​(boolean scaleSquare)` |
    `ReadImageParams.Builder` | `scaleWidth​(boolean scaleWidth)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### quality

          public int quality

  - ### Method Detail

    - #### contentId

          public ReadImageParams.Builder contentId​(ContentId contentId)

    - #### binaryReference

          public ReadImageParams.Builder binaryReference​(BinaryReference binaryReference)

    - #### cropping

          public ReadImageParams.Builder cropping​(Cropping cropping)

    - #### scaleParams

          public ReadImageParams.Builder scaleParams​(ScaleParams scaleParams)

    - #### focalPoint

          public ReadImageParams.Builder focalPoint​(FocalPoint focalPoint)

    - #### scaleSize

          public ReadImageParams.Builder scaleSize​(int scaleSize)

    - #### scaleSquare

          public ReadImageParams.Builder scaleSquare​(boolean scaleSquare)

    - #### scaleWidth

          public ReadImageParams.Builder scaleWidth​(boolean scaleWidth)

    - #### filterParam

          public ReadImageParams.Builder filterParam​(String filterParam)

    - #### backgroundColor

          public ReadImageParams.Builder backgroundColor​(int backgroundColor)

    - #### format

          @Deprecated
          public ReadImageParams.Builder format​(String format)

      Deprecated.

    - #### mimeType

          public ReadImageParams.Builder mimeType​(String mimeType)

    - #### quality

          public ReadImageParams.Builder quality​(int quality)

    - #### orientation

          public ReadImageParams.Builder orientation​(ImageOrientation orientation)

    - #### build

          public ReadImageParams build()